package org.apithefire.servlet.jetty;

import org.apithefire.servlet.server.Connector;
import org.apithefire.util.lang.Objects;
import org.mortbay.jetty.nio.SelectChannelConnector;

public class JettyConnector extends Connector {
	
	private final Provider<org.mortbay.jetty.Server> serverProvider;
	
	protected JettyConnector(Provider<org.mortbay.jetty.Server> serverProvider,
			int port) {
		super(port);
		this.serverProvider = Objects.nonNull(serverProvider);
	}

	@Override
	protected void configure() {
		super.configure();
		
		org.mortbay.jetty.Connector connector = new SelectChannelConnector();
		
		connector.setPort(getPort());
		serverProvider.get().addConnector(connector);
	}

}
